function aapi_image_browser_thumb(){
  $('#asset-view').html('<img src="'+Drupal.settings.aapi.basePath+asset.filepath+'" alt="" id="asset-view-img" />');
  var w = aapi_value($('#asset-view'), 'width');
  var h = aapi_value($('#asset-view'), 'height');
  var info = '';
  $('#asset-view img').load(function(){
    var img = $('#asset-view-img');
    var iw = aapi_value(img, 'width');
    var ih = aapi_value(img, 'height');
    
    info += '<div class="asset-info asset-width"><span class="label">'+Drupal.settings.aapi.i18n.width+':</span> <span class="info">'+iw+'</span></div>';
    
    info += '<div class="asset-info asset-height"><span class="label">'+Drupal.settings.aapi.i18n.height+':</span> <span class="info">'+ih+'</span></div>';
    
    var f = 1;
    if (iw>ih) { // portrait
      if (iw>w) {
        f = w/iw;
      }
      if (ih>h) {
        f = h/ih;
      }
    } else { // landscape
      if (ih>h) {
        f = h/ih;
      }
      if (iw>w) {
        f = w/iw;
      }
    }
    if (f!=1) {
      img.css('width', ((f*iw)-20)+'px');
      img.css('height', ((f*ih)-20)+'px');
      img.css('border', '2px solid #F00');
      img.click(function(){
        img.css('width', 'auto');
        img.css('height', 'auto');
        img.css('border', 'none');
        img.click(function(){
          aapi_image_browser_thumb();
        });
      });
    }
    aapi_image_browser_tools(info);
  });
  aapi_image_browser_tools(info);
}

function aapi_image_browser_tools(info){
  aapi_inclusion_field(info);
  $('#asset-inclusion').change(function(){
    $.ajax({
      type: "GET",
      url: Drupal.settings.aapi.callback+'/'+$(this).val(),
      dataType: "json",
      success: function(msg){
        $('#asset-view').html(msg);
      }
    });
  });
}